"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-311/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C8680>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C87C0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C8720>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C8860>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C8900>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C89A0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C8A40>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C8AE0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C8B80>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C8C20>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C8CC0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C8D60>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C8E00>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C8EA0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C8F40>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C8FE0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C9080>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C9120>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C91C0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C9260>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C9300>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C93A0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C9440>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C94E0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C9580>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C9620>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C96C0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C9760>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C9800>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C98A0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C9940>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C99E0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C9A80>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C9B20>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C9BC0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C9C60>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C9D00>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C9DA0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C9E40>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C9EE0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5C9F80>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CA020>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CA0C0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CA160>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CA200>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CA2A0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CA340>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CA3E0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CA480>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CA520>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CA5C0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CA660>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CA700>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CA7A0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CA840>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CA8E0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CA980>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CAA20>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CAAC0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CAB60>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CAC00>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CACA0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CAD40>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CADE0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CAE80>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CAF20>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CAFC0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CB060>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CB100>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CB1A0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CB240>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CB2E0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CB380>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CB420>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CB4C0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CB560>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CB600>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CB6A0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CB740>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CB880>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CB7E0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CB920>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CB9C0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CBA60>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000024ADC5CBB00>)]
name: str = 'fr_HOCCN'
